SUBDIRS = afskfirmware audiofirmware audio2firmware bscanfirmware dlfirmware dl2firmware fskfirmware resetfirmware reset2firmware

if CROSSCOMP

else

if WIN32
CFLAGS := $(CFLAGS) -mcygwin
LDFLAGS := $(LDFLAGS) -mcygwin
endif

noinst_PROGRAMS = ihex2hdr

ihex2hdr_SOURCES = ihex2hdr.c

$(top_srcdir)/firmware/afskfirmware.h:		$(top_srcdir)/firmware/afskfirmware/main.ihx ihex2hdr
						./ihex2hdr $< $@ afskfirmware

$(top_srcdir)/firmware/audiofirmware.h:		$(top_srcdir)/firmware/audiofirmware/main.ihx ihex2hdr
						./ihex2hdr $< $@ audiofirmware

$(top_srcdir)/firmware/audio2firmware.h:		$(top_srcdir)/firmware/audio2firmware/main.ihx ihex2hdr
						./ihex2hdr $< $@ audio2firmware

$(top_srcdir)/firmware/bscanfirmware.h:		$(top_srcdir)/firmware/bscanfirmware/main.ihx ihex2hdr
						./ihex2hdr $< $@ bscanfirmware

$(top_srcdir)/firmware/dlfirmware.h:		$(top_srcdir)/firmware/dlfirmware/main.ihx ihex2hdr
						./ihex2hdr $< $@ dlfirmware

$(top_srcdir)/firmware/dl2firmware.h:		$(top_srcdir)/firmware/dl2firmware/main.ihx ihex2hdr
						./ihex2hdr $< $@ dl2firmware

$(top_srcdir)/firmware/fskfirmware.h:		$(top_srcdir)/firmware/fskfirmware/main.ihx ihex2hdr
						./ihex2hdr $< $@ fskfirmware

$(top_srcdir)/firmware/resetfirmware.h:		$(top_srcdir)/firmware/resetfirmware/main.ihx ihex2hdr
						./ihex2hdr $< $@ resetfirmware

$(top_srcdir)/firmware/reset2firmware.h:	$(top_srcdir)/firmware/reset2firmware/main.ihx ihex2hdr
						./ihex2hdr $< $@ reset2firmware

endif

noinst_HEADERS = fskfirmware.h afskfirmware.h audiofirmware.h audio2firmware.h bscanfirmware.h \
		 dlfirmware.h dl2firmware.h resetfirmware.h reset2firmware.h
EXTRA_DIST = ihex2hdr.c
